[XML-SIG] Python 1.5 support with PyXML 0.6.2/4Suite0.9.2

Martin v. Loewis martin@loewis.home.cs.tu-berlin.de
Thu, 16 Nov 2000 20:37:30 +0100

> What about Python 1.6?  I upgraded evrything at our site to 1.6
> shortly after it came out (the append(.,.) was some work), then
> about a week or two later came 2.0, but - I don't have the time to
> keep upgrading every week or so.

I don't know of any reason for Python 1.6, except to make CNRI lawyers
happy. I encourage everybody not to install it, and stay with 1.5.2,
or go directly to 2.0.

> Is 1.6 officially unsupported (seems so)?  

PyXML does not officially support it. Python 1.6 is officially
unsupported in the sense that there will be no subminor releases
fixing bugs in it.

> 1.6 does have some Unicode support.  Will it work more like 1.5 or
> like 2.0?  Will the XML package work at all (I was able to
> successfully install, but I did not do anything with it, yet).

It'll work similar to Python 2.0, except perhaps for all the bugs in
Python proper (and no, I don't know any specific bugs - although I'm
sure they are there :-).